commit:     d52af4a5cd1ec5d56c3cd37f2b50afc30c206bc1
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 18 19:10:55 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Feb 18 19:10:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d52af4a5

dev-libs/libg15: Port to EAPI 7

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-libs/libg15/libg15-1.2.7-r1.ebuild | 31 ++++++++++++++--------
 dev-libs/libg15/libg15-9999.ebuild     | 47 ++++++++++++----------------------
 2 files changed, 37 insertions(+), 41 deletions(-)

diff --git a/dev-libs/libg15/libg15-1.2.7-r1.ebuild 
b/dev-libs/libg15/libg15-1.2.7-r1.ebuild
index 5ec490f2e52..3e7892e8cce 100644
--- a/dev-libs/libg15/libg15-1.2.7-r1.ebuild
+++ b/dev-libs/libg15/libg15-1.2.7-r1.ebuild
@@ -1,29 +1,38 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
+EAPI=7
+
+if [[ ${PV} == *9999 ]]; then
+       inherit autotools subversion
+       ESVN_PROJECT=g15tools/trunk
+       ESVN_REPO_URI="https://svn.code.sf.net/p/g15tools/code/trunk/${PN}";
+else
+       KEYWORDS="amd64 ppc ppc64 x86"
+       SRC_URI="mirror://sourceforge/g15tools/${P}.tar.bz2"
+fi
 
 DESCRIPTION="The libg15 library gives low-level access to the Logitech G15 
keyboard"
 HOMEPAGE="https://sourceforge.net/projects/g15tools/";
-SRC_URI="mirror://sourceforge/g15tools/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="amd64 ppc ppc64 x86"
-IUSE=""
 
-DEPEND="=virtual/libusb-0*"
-RDEPEND=${DEPEND}
+RDEPEND="virtual/libusb:0"
+DEPEND="${RDEPEND}"
 
-DOCS=( AUTHORS README ChangeLog )
+src_prepare() {
+       default
+       [[ ${PV} == *9999 ]] && eautoreconf
+}
 
 src_configure() {
-       econf \
-               --disable-static
+       econf --disable-static
 }
 
 src_install() {
        default
 
-       find "${ED}" -name '*.la' -exec rm -f {} +
+       # no static archives
+       find "${D}" -name '*.la' -delete || die
 }

diff --git a/dev-libs/libg15/libg15-9999.ebuild 
b/dev-libs/libg15/libg15-9999.ebuild
index a2faa821117..3e7892e8cce 100644
--- a/dev-libs/libg15/libg15-9999.ebuild
+++ b/dev-libs/libg15/libg15-9999.ebuild
@@ -1,51 +1,38 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
-ESVN_PROJECT=g15tools/trunk
-ESVN_REPO_URI="https://svn.code.sf.net/p/g15tools/code/trunk/${PN}";
+EAPI=7
 
-inherit subversion base eutils autotools
+if [[ ${PV} == *9999 ]]; then
+       inherit autotools subversion
+       ESVN_PROJECT=g15tools/trunk
+       ESVN_REPO_URI="https://svn.code.sf.net/p/g15tools/code/trunk/${PN}";
+else
+       KEYWORDS="amd64 ppc ppc64 x86"
+       SRC_URI="mirror://sourceforge/g15tools/${P}.tar.bz2"
+fi
 
 DESCRIPTION="The libg15 library gives low-level access to the Logitech G15 
keyboard"
 HOMEPAGE="https://sourceforge.net/projects/g15tools/";
-[[ $PV = *9999* ]] || SRC_URI="mirror://sourceforge/g15tools/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS=""
-IUSE=""
 
-DEPEND="=virtual/libusb-0*"
-RDEPEND=${DEPEND}
-
-DOCS=( AUTHORS README ChangeLog )
-
-PATCHES=( "${FILESDIR}"/g15tools.patch )
-
-src_unpack() {
-       if [[ ${PV} = *9999* ]]; then
-               subversion_src_unpack
-       fi
-}
+RDEPEND="virtual/libusb:0"
+DEPEND="${RDEPEND}"
 
 src_prepare() {
-       if [[ ${PV} = *9999* ]]; then
-               subversion_wc_info
-       fi
-       base_src_prepare
-       if [[ ${PV} = *9999* ]]; then
-               eautoreconf
-       fi
+       default
+       [[ ${PV} == *9999 ]] && eautoreconf
 }
 
 src_configure() {
-       econf \
-               --disable-static
+       econf --disable-static
 }
 
 src_install() {
        default
 
-       find "${ED}" -name '*.la' -exec rm -f {} +
+       # no static archives
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to